/* header auto-generated by pidl */

#ifndef _PIDL_HEADER_preg
#define _PIDL_HEADER_preg

#include <stdint.h>

#include "libcli/util/ntstatus.h"

#include "librpc/gen_ndr/misc.h"
#ifndef _HEADER_preg
#define _HEADER_preg

struct preg_entry {
	const char *_opening_bracket;/* [charset(DOS),noprint,value("[")] */
	const char * keyname;/* [flag(LIBNDR_FLAG_STR_NULLTERM|LIBNDR_FLAG_ALIGN2)] */
	const char *_sep1;/* [charset(DOS),noprint,value(";")] */
	const char * valuename;/* [flag(LIBNDR_FLAG_STR_NULLTERM|LIBNDR_FLAG_ALIGN2)] */
	const char *_sep2;/* [charset(DOS),noprint,value(";")] */
	enum winreg_Type type;
	const char *_sep3;/* [charset(DOS),noprint,value(";")] */
	uint32_t size;/* [value(ndr_size_winreg_Data_GPO(&data,type,ndr->flags))] */
	const char *_sep4;/* [charset(DOS),noprint,value(";")] */
	union winreg_Data_GPO data;/* [flag(LIBNDR_FLAG_REMAINING),subcontext(0),subcontext_size(size),switch_is(type)] */
	const char *_closing_bracket;/* [charset(DOS),noprint,value("]")] */
}/* [flag(LIBNDR_PRINT_ARRAY_HEX),public] */;

struct preg_header {
	const char *signature;/* [charset(DOS),value("PReg")] */
	uint32_t version;/* [value] */
}/* [public] */;

struct preg_file {
	struct preg_header header;
	uint32_t num_entries;
	struct preg_entry *entries;
}/* [flag(LIBNDR_FLAG_NOALIGN),nopull,nopush,public] */;


struct decode_preg_file {
	struct {
		struct preg_file file;
	} in;

};

#endif /* _HEADER_preg */
#endif /* _PIDL_HEADER_preg */
